/*
 * hard.h
 *
 * Created: 2016-06-02 10:12:08
 *  Author: dsosnowski
 */ 


#ifndef HARD_H_
#define HARD_H_


#define TRANS_PORT				PORTB
#define TRANS_DDR				DDRB
#define TRANS_PIN				PINB
#define TRANS_ENABNE_PIN		2		//L active
#define TRANS_ENABLE			(TRANS_PORT &= ~(1<<TRANS_ENABNE_PIN))
#define TRANS_DISABLE			(TRANS_PORT |=  (1<<TRANS_ENABNE_PIN))

#define OUT_PORT				PORTA
#define OUT_DDR					DDRA
#define OUT_PIN					4		//H active
#define OUT_SET					(OUT_PORT |=  (1<<OUT_PIN))
#define OUT_OFF					(OUT_PORT &= ~(1<<OUT_PIN))

#define PULSE_PORT				PORTA
#define PULSE_DDR				DDRA
#define PULSE_PIN				PINA
#define PULSE_PPIN				5		//OC1B
#define PULSE_NPIN				6		//OC1A

#define DETECT_PORT				PORTA
#define DETECT_DDR				DDRA
#define DETECT_PIN				PINA
#define RANGE_PIN				2		//ADC2
#define WAVE_PIN				1		//AIN0, ADC1
#define TIME_PIN				3		//ADC3

#define LED_PORT				PORTA
#define LED_DDR					DDRA
#define LED_PIN					7		//L active
#define LED_OFF					(LED_PORT |=  (1<<LED_PIN))
#define LED_SET					(LED_PORT &= ~(1<<LED_PIN))

#define DEATH_TIME				30
#define SEND_PULSES				30
#define DETECT_SENSIVITY		10
#define MAIN_DELAY				50
#define TICKPERSEC				10

#define LED_PERIOD				40
#define LED_BLINK				2
#define LED_SPECIAL				5

#endif /* HARD_H_ */